;; See: (find-es "org" "yaca")
;; Based on:
;; https://git.sr.ht/~yaca/drimyswinteri/tree/master/item/snippet.elisp
;;                               (find-drimyswinterifile "snippet.elisp")

(require 'ox-publish)

(defun me/org-sitemap-format-entry (entry style project)
    "Format posts with author and published data in the index page.

ENTRY: file-name
STYLE:
PROJECT: `posts in this case."
    (cond ((not (directory-name-p entry))
           (format "*[[file:%s][%s]]*
                 ,#+HTML: <p class='pubdate'>por %s en  %s.</p>"
                   entry
                   (org-publish-find-title entry project)
                   (car (org-publish-find-property entry :author project))
                   (format-time-string this-date-format
                                       (org-publish-find-date entry project))))
          ((eq style 'tree) (file-name-nondirectory (directory-file-name entry)))
          (t entry)))

(defvar this-date-format "%b %d, %Y")

(setq org-publish-project-alist
      '(
	("fuente"
	 ;;:base-directory    "~/drimyswinteri/org/"
	 :base-directory "~/usrc/drimyswinteri/org/"
	 :base-extension "org"
	 ;;:publishing-directory "/ssh:drimyswinteri.ml:/home/yaca/drimyswinteri.ml/public_html/"
	 ;;:publishing-directory "   ~/drimyswinteri/public_html/"
	 :publishing-directory "~/usrc/drimyswinteri/public_html/"
	 :recursive t
	 :publishing-function org-html-publish-to-html
	 :headline-levels 4
	 :html-preamble t
	 :auto-sitemap t
	 :sitemap-filename "posts.org"
	 :sitemap-title "Lista de posts"
     :sitemap-format-entry me/org-sitemap-format-entry
     :sitemap-style list
     :sitemap-sort-files anti-chronologically
     :html-head "<link rel=\"stylesheet\"
                  href=\"static/css/solarized-dark.css\" type=\"text/css\"/>")
	("static"
	 ;;:base-directory    "~/drimyswinteri/org/"
	 :base-directory "~/usrc/drimyswinteri/org/"
	 :base-extension "css\\|png\\|ttf\\|gif\\|jpg"
	 ;;:publishing-directory "/ssh:drimyswinteri.ml:/home/yaca/drimyswinteri.ml/public_html/"
	 ;;:publishing-directory    "~/drimyswinteri/public_html/"
	 :publishing-directory "~/usrc/drimyswinteri/public_html/"
	 :recursive t
	 :publishing-function org-publish-attachment)
	("blog"
	 :components ("fuente" "static"))))
